Get a list of event broker services

Get a listing of event broker services.

Your token must have one of the permissions listed in the Token Permissions.



Token Permissions: [ mission_control:access or services:get or services:get:self or services:view or services:view:self ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter the list of event broker services by custom attributes.

To filter by custom attribute name and value, use the format: customAttributes=<custom-attribute-name>==<custom-attribute-value>.

customAttributes are RSQL query strings that support using asterisks as a wildcard. You can place a wildcard at the beginning, middle, or end of the query value.

The supported attributes, and examples of each are listed below:

  • name, examples include:
    • name==myservice
    • name==production*
    • name==*prod*
  • ownedBy, examples include:
    • ownedBy==userId
  • environmentId, examples include:
    • environmentId==12345
    • environmentId!=345678
string

Additional information to retrieve for the event broker service. The supported value is allowedActions.

The returned allowedActions may include: 'get', 'messageSpoolDetails', 'configure', 'update', 'broker_update', 'delete', 'assign'.

The definitions for each action are listed below:

  • get The user can get the event broker service.
  • messageSpoolDetails The user can get the message spool details.
  • configure The user can configure the event broker service, for example, to add a new client profile.
  • update The user can update the event broker service configurations.
  • broker_update The user can update the event broker service message vpn configuration.
  • delete The user can delete the event broker service.
  • assign The user can assign the event broker service to other users.
  • string

    Sort the returned event broker services by attribute.

    You can use the following value formats for the sort order:

    • attributes-names
    • attributes-names:sort-order

    Add attribute-names in a comma-separated list in the order you want to sort them by.

    Use the sort-order to sort the attributes using one of the following values:

    • asc’-ascending order
    • desc’-descending order

    If you do not define a sort order, it will default to ascending order. These are support attribute names you can sort by:

    • name
    • adminState
    • creationState
    • datacenterId
    • serviceClassId
    • ownedBy
    • createdTime
    For example, if you want to get a list of event broker services by name and time of creation, in ascending order, you would enter: datacenterId,createdTime:asc
    integer
    ≥ 1
    Defaults to 1

    The page number to retrieve.

    integer
    1 to 100
    Defaults to 100

    The number of event broker services to return per page.

    Responses

    Language
    Credentials
    Bearer
    JWT
    URL
    LoadingLoading…
    Response
    Click Try It! to start a request and see the response here! Or choose an example:
    application/json